@charset "UTF-8";
html {
  font-size: 10px;
}

body {
  background: #EAE8FE;
  font-family: "Noto Sans KR";
  font-size: 1.6rem;
}

* {
  box-sizing: border-box;
}

/* 포커스 설정 */
button:focus, input:focus {
  outline: 3px auto #6FCF97;
  box-shadow: 0 0 3px 2px #6FCF97;
}

/* 접근성을 고려한 글자 감춤 */
.a11y-hidden {
  overflow: hidden;
  position: absolute;
  clip: rect(0, 0, 0, 0);
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
}

/* 공통스타일 -------------------- */
/* 잔액, 소지금 */
.info {
  background: #EAE8FE;
  height: 3.2rem;
  font-weight: bold;
  font-size: 1.4rem;
  padding: 0 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-radius: 0.5rem;
}

/* 버튼 스타일 */
[class^="btn"] {
  background: #fff;
  box-shadow: 0 0 0.4rem rgba(0, 0, 0, 0.5);
  font-size: 1.3rem;
  min-height: 3.2rem;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0.5rem;
}

.btn-get {
  background: #6327FE;
  color: #fff;
}

/* 아이템 리스트 */
.list-item-staged {
  background: #EAE8FE;
  padding: 1.2rem;
  overflow: auto;
  border: 1px solid #BDBDBD;
  border-radius: 0.5rem;
}

.list-item-staged li {
  background: #fff;
  padding: 0.8rem;
  border-radius: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.list-item-staged li:not(:first-child) {
  margin-top: 0.6rem;
}

.list-item-staged li img {
  height: 3.3rem;
  margin-right: 1rem;
}

.list-item-staged li .txt-item {
  font-size: 0.9rem;
}

.list-item-staged li .num-counter {
  margin: 0 0 0 auto;
  width: 3rem;
  height: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #BDBDBD;
  border-radius: 0.5rem;
}

.list-item-staged::-webkit-scrollbar {
  width: 10px;
}

.list-item-staged::-webkit-scrollbar-thumb {
  background-color: #fff;
  background-clip: padding-box;
  border-radius: 0.5rem;
  border: 3px solid transparent;
}

.list-item-staged::-webkit-scrollbar-track {
  background-color: #EAE8FE;
  border-radius: 0.5rem;
}

.ir {
  text-indent: -9999px;
}

header .app-tit {
  width: 38.6rem;
  height: 18rem;
  background: url(../img/logo.svg) no-repeat 50% 50%;
  background-size: contain;
  margin: 0 auto;
}

.vending-machine {
  width: 74.8rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2.8rem;
  margin: 6.7rem auto;
}

.vending-machine > div {
  width: 36rem;
  background: #fff;
}

.machine {
  padding: 2.7rem;
}

.machine .list-item,
.machine .cont-return,
.machine .cont-put,
.machine .cont-get {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.2rem;
}

.list-item .btn-item {
  flex-direction: column;
  padding: 1.1rem;
  overflow: hidden;
}

.list-item .btn-item img {
  height: 6.5rem;
}

.list-item .btn-item .tit-item {
  font-size: 0.9rem;
  margin-top: 0.6rem;
}

.list-item .btn-item .txt-item {
  margin-top: 0.7rem;
  background: #6327FE;
  color: #fff;
  font-size: 1.2rem;
  width: 7rem;
  height: 2.2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 2rem;
}

.list-item .btn-item.select {
  box-shadow: 0 0 0 3px #6327FE;
}

.list-item .btn-item.out {
  position: relative;
  cursor: default;
}

.list-item .btn-item.out .sold-out {
  font-weight: bold;
  position: absolute;
  top: 3rem;
  left: 50%;
  margin-left: -2.6rem;
  width: 5.1rem;
  height: 2.7rem;
  padding: 1px;
  color: #fff;
  transform: rotate(-18deg);
  z-index: 1;
  font-size: 1.4rem;
  color: #EAE8FE;
  border: 5px double #EAE8FE;
}

.list-item .btn-item.out::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
}

.cont-return {
  margin-top: 2rem;
}

.cont-return p {
  grid-row: 1/2;
  grid-column: 1/3;
}

.cont-return button {
  grid-row: 1/2;
  grid-column: 3/4;
}

.cont-put {
  margin-top: 1.2rem;
}

.cont-put input {
  grid-row: 1/2;
  grid-column: 1/3;
  padding: 0 1rem;
  height: 3.2rem;
  font-weight: bold;
  font-size: 1.4rem;
  border: 1px solid #BDBDBD;
  border-radius: 0.5rem;
}

.cont-put input::placeholder {
  color: #BDBDBD;
  font-size: 1.3rem;
}

.cont-put button {
  grid-row: 1/2;
  grid-column: 3/4;
}

.cont-get {
  margin-top: 1.2rem;
  height: 10.6rem;
}

.cont-get strong {
  grid-row: 1/2;
  grid-column: 1/4;
}

.cont-get ul {
  grid-row: 1/2;
  grid-column: 1/3;
}

.cont-get button {
  grid-row: 1/2;
  grid-column: 3/4;
}

.cont-myitems h3 {
  font-weight: bold;
  text-align: center;
  font-size: 1.4rem;
  margin-bottom: 1.3rem;
}

.cont-myitems .list-item-staged {
  margin-top: 0.6rem;
  flex-grow: 1;
  height: 36.4rem;
}

.cont-myitems .txt-total {
  display: block;
  text-align: right;
  width: 100%;
  margin-top: 0.6rem;
}

.cont-mymoney {
  background: #fff;
  padding: 0.9rem  2.7rem;
}

.cont-myitems {
  background: #fff;
  padding: 2.7rem;
  border-top: 2rem solid #EAE8FE;
}

@media (max-width: 768px) {
  body {
    background: #fff;
  }
  header .app-tit {
    width: 18.8rem;
    height: 8.8rem;
  }
  .vending-machine {
    width: 100%;
    grid-template-columns: 1fr;
    gap: 0;
    margin-top: 1.8rem;
    margin-bottom: 0;
  }
  .vending-machine > div {
    width: 100%;
  }
  .machine {
    padding: 2rem 2.7rem;
  }
  .cont-myitems {
    border-top: 0;
  }
}
